typedef struct dir_data t_dir_data;
typedef struct file_data t_file_data;

struct dir_data
{
  WINDOW *window;
  void (*write_rapport)(const void*private_data);
  void (*write_display)(WINDOW *window, const void *private_data);
  int  (*is_directory)(const void*private_data);
  unsigned long int (*get_cluster_inode)(const void*private_data);
  t_file_data *(*get_dir)(t_param_disk disk_car, const t_diskext partition, t_dir_data *dir_data, const unsigned long int first_cluster);
//  t_file_data *list;
  int debug;
  void *private_dir_data;
};

struct file_data
{
  t_file_data *prev;
  t_file_data *next;
  void *file_data;
};

long int dir_aff(t_param_disk disk_car, const t_diskext partition, t_dir_data *dir_data, t_file_data*dir_list, const unsigned long int cluster);
void delete_list_file(t_file_data *file_list);
int dir_partition(t_param_disk disk_car, const t_diskext partition, t_dir_data *dir_data, const unsigned long int cluster);
